# $Revision: 1.8 $, $Date: 2012/01/15 17:18:41 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Text
%define	pnam	ASCIITable
Summary:	Text::ASCIITable - Create a nice formatted table using ASCII characters
Summary(pl.UTF-8):	Text::ASCIITable - tworzenie ładne sformatowanych tabel przy użyciu znaków ASCII
Name:		perl-Text-ASCIITable
Version:	0.20
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Text/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	13dce0bcfa2484501199222bab251f87
URL:		http://search.cpan.org/dist/Text-ASCIITable/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Text::ASCIITable is a module creates a nice formatted table using
ASCII characters.

Pretty nifty if you want to output dynamic text to your console or
other fixed-size-font displays, and at the same time it will display
it in a nice human-readable, or "cool" way.

%description -l pl.UTF-8
Text::ASCIITable to moduł tworzący ładne sformatowane tabele przy
użyciu znaków ASCII.

Jest to przydatne kiedy chcemy stworzyć dynamiczny tekst na terminalu
albo innym wyjściu z fontem o stałej szerokości, jednocześnie
wyglądający ładnie i czytelnie dla człowieka.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Text/*.pm
%{perl_vendorlib}/Text/ASCIITable
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Text-ASCIITable.spec,v $
Revision 1.8  2012/01/15 17:18:41  zbyniu
- up to 0.20

Revision 1.7  2008/01/03 12:41:36  qboosh
- generic URL

Revision 1.6  2007-12-31 00:03:07  zbyniu
- up to 0.18

Revision 1.5  2007-02-13 07:47:15  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.3  2005/09/28 09:28:48  migo
- up to 0.17 (fixed memory leak)

Revision 1.2  2005/06/02 18:56:14  qboosh
- pl

Revision 1.1  2005/05/31 19:49:13  migo
- initial revision (big help from pldcpan.pl)
